Bug 1279951 - pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mappe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
abrt_hash:88cde4551878b87a6935c32588d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:05 EST by ISO
Modified: 2016-12-20 10:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (553.29 KB, text/plain)
2015-11-10 10:05 EST, ISO
no flags Details
File: anaconda.log (10.14 KB, text/plain)
2015-11-10 10:05 EST, ISO
no flags Details
File: environ (537 bytes, text/plain)
2015-11-10 10:05 EST, ISO
no flags Details
File: journalctl (412.33 KB, text/plain)
2015-11-10 10:05 EST, ISO
no flags Details
A gzipped tar archive of /var/log created with "debug rd.debug" added to the kernel command line. (3.66 MB, application/gzip)
2015-11-13 14:54 EST, ISO
no flags Details

  None (edit)
Description ISO 2015-11-10 10:05:11 EST
Description of problem:
I was attempting to install Fedora 23 Workstation on an AMD 8350 machine, with a Gigabyte GA-970A-D3P mother board. When I enable the onboard FakeRAID controller and create a RAID5 array consisting on 3 Western Digital 2TB disks, this error occurs, consistantly. When I remove  array configuration, the installation completes normally.  

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/livepayload.py", line 79, in setup
    raise PayloadInstallError("Unable to find osimg for %s" % self.data.method.partition)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/__init__.py", line 1275, in _runThread
    payload.setup(storage, instClass)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 ISO 2015-11-10 10:05:24 EST
Created attachment 1092292 [details]
File: anaconda-tb
Comment 2 ISO 2015-11-10 10:05:26 EST
Created attachment 1092293 [details]
File: anaconda.log
Comment 3 ISO 2015-11-10 10:05:28 EST
Created attachment 1092294 [details]
File: environ
Comment 4 ISO 2015-11-10 10:05:36 EST
Created attachment 1092295 [details]
File: journalctl
Comment 5 ISO 2015-11-10 10:25:11 EST
No device file exists under /dev/mapper for the RAID array. Based on lsmod, dm-raid is not loaded
Comment 6 David Shea 2015-11-10 11:52:11 EST
/dev/mapper/live-base should have been setup by dmsquash-live-root in dracut before anaconda runs. Since this is a live install the anaconda-dracut modules are not a factor.
Comment 7 Harald Hoyer 2015-11-10 12:06:55 EST
Please add "debug rd.debug" to the kernel command line and attach the journal log.
Comment 8 ISO 2015-11-13 14:54 EST
Created attachment 1093825 [details]
A gzipped tar archive of /var/log created with "debug rd.debug" added to the kernel command line.

This file was created with the IOMMU disabled from the firmware.
Comment 9 ISO 2015-11-13 15:32:31 EST
I have another archive with the IOMMU enabled. I can upload it, if you think it might be useful.
One other issue I found with this machine. Even though installation completes successfully each time, "Test this media and Install Fedora" boot menu option fails at 4.8%, if the test starts checking the media on the "/dev/disk/by-label/Fedora-Live-WS-x86_64-23-10" device file (which happens about 95% of the time). After the failure, the system is halted, which prevents me from getting any further information.
In the other 5%, the test starts checking the media on the "/dev/sde" device file, in which case, the test completes successfully. 
I could not identify any pattern in the test choosing one device file over the other. 
I don't believe this is related to the issue with the fakeRAID, since it happens regardless of the presence of the RAID configuration, or lack thereof. but I thought I should mention it, in case it is some how relevant. ( I don't believe I am experienced enough to judge that). I will create another bug report with this issue, just in case.
Comment 10 Brian Lane 2015-11-13 20:31:16 EST
Looks like this may be a blivet/libblockdev problem, buried in the anaconda-tb is this:

Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: zero sectors on /dev/sdd
Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: setting up RAID device /dev/sdd
Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: zero sectors on /dev/sdc
Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: setting up RAID device /dev/sdc
Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: zero sectors on /dev/sdb
Nov 10 17:43:05 localhost gnome-session[1772]: ERROR: pdc: setting up RAID device /dev/sdb

File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
ret = orig_obj(*args, **kwargs)

File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 153, in dm_get_member_raid_sets
return _dm_get_member_raid_sets(name, uuid, major, minor)

GLib.Error: g-bd-dm-error-quark: No RAIDs discovered (4)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
threading.Thread.run(self, *args, **kwargs)

File "/usr/lib64/python3.4/threading.py", line 868, in run
self._target(*self._args, **self._kwargs)

File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
storage.reset()

File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
self.devicetree.populate(cleanupOnly=cleanupOnly)

File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
self._populator.populate(cleanupOnly=cleanupOnly)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
self._populate()

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
self.addUdevDevice(dev)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 764, in addUdevDevice
self.handleUdevDeviceFormat(info, device)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1474, in handleUdevDeviceFormat
self.handleUdevDMRaidMemberFormat(info, device)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1249, in handleUdevDMRaidMemberFormat
rs_names = blockdev.dm.get_member_raid_sets(uuid, name, major, minor)

File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
raise transform[1](msg)

gi.overrides.BlockDev.DMError: No RAIDs discovered

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
threading.Thread.run(self, *args, **kwargs)

File "/usr/lib64/python3.4/threading.py", line 868, in run
self._target(*self._args, **self._kwargs)

File "/usr/lib64/python3.4/site-packages/pyanaconda/timezone.py", line 76, in time_initialize
threadMgr.wait(THREAD_STORAGE)

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 116, in wait
self.raise_if_error(name)

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 171, in raise_if_error
raise exc_info[0](exc_info[1]).with_traceback(exc_info[2])

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
threading.Thread.run(self, *args, **kwargs)

File "/usr/lib64/python3.4/threading.py", line 868, in run
self._target(*self._args, **self._kwargs)

File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
storage.reset()

File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
self.devicetree.populate(cleanupOnly=cleanupOnly)

File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
self._populator.populate(cleanupOnly=cleanupOnly)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
self._populate()

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
self.addUdevDevice(dev)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 764, in addUdevDevice
self.handleUdevDeviceFormat(info, device)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1474, in handleUdevDeviceFormat
self.handleUdevDMRaidMemberFormat(info, device)

File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1249, in handleUdevDMRaidMemberFormat
rs_names = blockdev.dm.get_member_raid_sets(uuid, name, major, minor)

File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
raise transform[1](msg)

gi.overrides.BlockDev.DMError: No RAIDs discovered

File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
threading.Thread.run(self, *args, **kwargs)

File "/usr/lib64/python3.4/threading.py", line 868, in run
self._target(*self._args, **self._kwargs)

File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/__init__.py", line 1275, in _runThread
payload.setup(storage, instClass)

File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/livepayload.py", line 79, in setup
raise PayloadInstallError("Unable to find osimg for %s" % self.data.method.partition)

pyanaconda.packaging.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
Comment 11 ISO 2016-06-26 07:06:11 EDT
I tried to install Fedora 24, with the raid controller configured as RAID 5, and I still got the same problem.
Comment 12 Fedora End Of Life 2016-11-24 08:15:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:36:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.